<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:c="http://java.sun.com/jsp/jstl/core"
      xmlns:p="http://primefaces.org/ui">
    <ui:composition>
        <f:param name="panelNumber"></f:param>
        <ui:param name="stepBuilderNodeable" value="#{uiBean.getStepBuilder(panelNumber-1)}" />
        <f:facet name="header">
            <h:graphicImage name="images/accepted.png" 
                            rendered="#{stepBuilderNodeable.stepValid}" />
            <h:outputText value="#{titleForSitesAccordionItem}" />
        </f:facet>
        <f:loadBundle  basename="org.inra.ecoinfo.foret.extraction.jsf.accordions.nodeableAccordionItem" var="siteAccordionItem"/>	
        <h:outputText
            rendered="#{not stepBuilderNodeable.stepValid}"
            value="#{siteAccordionItem.PARAM_MSG_WARNING}" />
        <p:dataList value="#{stepBuilderNodeable.nodeables.entrySet()}"
                    var="site" type="definition"
                    rendered="#{stepBuilderNodeable.stepValid}"> 
            <p:commandLink actionListener="#{stepBuilderNodeable.unSelectNodeable(site.key)}"
                           process="@this"
                           oncomplete="updateTreenodes()" >
                <h:outputText value="#{site.value.localizedDisplayPath}" />
                <p:graphicImage name="images/remove_selection.png"  styleClass="buttonAction" />
            </p:commandLink>
        </p:dataList>

    </ui:composition>
</html>